---
- library: '&IDL_MochaBaseSystem;'
  instances:
  - class: '&IDC_ExecuteUpdateMethodBinding;'
    index: 83
    name: Execute Update Method Binding
    inherits: '&IDC_MethodBinding;'
    superclasses:
    - instance: '&IDC_MethodBinding;'
    # - instance: '&IDC_ExecutableReturningAttribute;'
    relationships: # FIXME: remove this when we can properly inherit definitions in zq-python
    - instance: '&IDR_Method_Binding__executes__Method;'
      customTagName: 'executesMethod'
    - instance: '&IDR_Method_Binding__has__Parameter_Assignment;'
      customTagName: 'parameterAssignments'
      customTagNameCreatesInstanceOf: '&IDC_ParameterAssignment;'
